Bug 1020586 - Doc: Support custom author groups
Doc: Support custom author groups
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Documentation (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 23:11 EDT by Lee Newson
Modified: 2015-05-06 02:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 13968, PressGang CCMS Handbook-2.0-1 Build Date: 15-10-2013 13:30:08
Last Closed: 2015-05-06 02:18:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2013-10-17 23:11:45 EDT
In 1.2 users can now include a custom Author_Group.xml instead of having to rely on the default one created by the builder (or overriding manually when building).

To use a custom author group, the user must either create the create the topic via the UI or Content Spec.

If creating the topic in the UI the user must ensure that the topic is tagged with the "Author Group" topic type tag.

If creating the topic via the content spec, then this is similar to Revision History or Legal Notice topics. The syntax you will need is shown below and should go in the metadata section of the content spec.

    Author Group = [N, Author Group]

Once the topic has been created then it can be included in the content spec as above but instead of the "N, Author Group" content you'd just include the ID.

See https://bugzilla.redhat.com/show_bug.cgi?id=981118#c16 for other details. Also this relates to this doc bug as well: https://bugzilla.redhat.com/show_bug.cgi?id=981118982076
Comment 1 Jared MORGAN 2013-11-03 20:17:01 EST
https://bugzilla.redhat.com/show_bug.cgi?id=982076#c5 added most of the information, and I added the CSP map syntax for new specs into the same topic. 

Now where to put this info in the guide...
Comment 2 Lee Newson 2015-05-06 02:18:14 EDT
Verified

Note You need to log in before you can comment on or make changes to this bug.